<bugID>625952<Summary>Drop hostname from URL preview if it&#8217;s on the same domain</Summary><Description>Similar to bug 625945, we aim to make the URL preview on hover as readable and easy to parse as possible. Making this change would also reinforce that you're staying on the domain you're currently visiting.

Proposed behavior:

* If you're on http://www.example.com and hover over a link to http://www.example.net, nothing changes.

* If you're on http://www.example.com and hover over a link to http://www.example.com/section, the URL preview on hover shows "/section" &#8212; stripping away the redundant domain/protocol information.

* If you're on http://www.example.com and hover over a link to https://www.example.com/section, we don't strip anything (since you're changing from http to https, even if it's on the same domain)

* This bug depends on bug 625945 to be resolved, since we can't strip only the hostname but not the protocol.</Description></bugID>